mviewer.globalStyle = {};

let blueStyle = [new ol.style.Style({
    image: new ol.style.Circle({
        fill: new ol.style.Fill({
            color: '#ff9e38'
        }),
        stroke: new ol.style.Stroke({
            color: "rgba(255,255,255,0)",
            width: 4
        }),
        radius: 5
    })
})];

let greyStyle = [new ol.style.Style({
    image: new ol.style.Circle({
        fill: new ol.style.Fill({
            color: 'rgba(99, 110, 114,1.0)'
        }),
        stroke: new ol.style.Stroke({
            color: "#ffffff",
            width: 4
        }),
        radius: 5
    })
})];

let legend = { items: [] };

// legend.items.push({styles:uniqStyle, label: "Public", geometry: "Point"});
// legend.items.push({styles:uniqStyle, label: "Privé", geometry: "Point"});

mviewer.globalStyle.iconStyle = [new ol.style.Style({
    image: new ol.style.Icon({
      anchor: [0.5, 46],
      anchorXUnits: 'fraction',
      anchorYUnits: 'pixels',
      color: "black",
      scale: 0.1,
      src: 'apps/entreprises/img/store.svg',
    }),
})];
  
mviewer.globalStyle.manyStyle  = function (radius, radius2, size) {
    return [
        new ol.style.Style({
            image: new ol.style.Circle({
                radius: radius,
                fill: new ol.style.Fill({
                    color: 'rgba(236, 240, 241,0.7)'
                })
            }),
            stroke: new ol.style.Stroke({
                color: 'red',
                width: 3
          }),
          fill: new ol.style.Fill({
            color: 'rgba(0, 0, 255, 0.1)'
          })
        }),
        new ol.style.Style({
            image: new ol.style.Circle({
                radius: radius2,
                fill: new ol.style.Fill({
                    color: 'rgba(231, 76, 60, 0.7)'
                })
            }),
            text: new ol.style.Text({
                font: '12px roboto_regular, Arial, Sans-serif',
                text: size.toString(),
                fill: new ol.style.Fill({
                    color: '#fff'
                })
            })
        })
    ];
};
  
let cql = "CQL_FILTER=codepostal in ('35390','35240')";
let url = "https://ows.region-bretagne.fr/geoserver/rb/wfs?SERVICE=WFS&REQUEST=GetCapabilities&request=GetFeature&service=WFS&version=1.1.0&typeName=sirene_bretagne&outputFormat=application/json";

mviewer.globalStyle.clusterStyle = function(feature) {
    let listStyleValue = $("#style-list").val();
    if (listStyleValue === "point") {
        return mviewer.globalStyle.iconStyle;
    }
    
    var size = feature.get('features').length;
    var max_radius = 40;
    var max_value = 500;
    var radius = 10 + Math.sqrt(size)*(max_radius / Math.sqrt(max_value));
    var radius2 = radius *80 /100 ;
    if (size == 1) {
        return mviewer.globalStyle.iconStyle;
    } else {
        return mviewer.globalStyle.manyStyle(radius, radius2, size);
    }
};

let layer = new ol.layer.Vector({
    source: new ol.source.Cluster({
        geometryFunction: function(feature) {
            return new ol.geom.Point(ol.extent.getCenter(feature.getGeometry().getExtent()));
        },
        distance: 50,
        source: new ol.source.Vector({
            url: url + "&" + cql,
            format: new ol.format.GeoJSON()
        })
    }),
    style: mviewer.globalStyle.clusterStyle

});

new CustomLayer("sirene_bretagne", layer, legend);
